{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "defaultContent" : "CustomPlugIn",
    "lanResTag" : "MENUITEM.CAPTION.CUSTOMPLUGIN",
    "lanResType" : "MENUITEM.CAPTION",
    "mOSFilePath" : "pslanguageres/Auto163",
    "name" : "菜单项文本[自定义插件]",
    "rTMOSFilePath" : "pslanguageres/Auto163",
    "refFlag" : true
  },
  "caption" : "图书",
  "codeName" : "IBIZBOOKUsr4CalendarView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKUsr4CalendarView.json",
  "mDCtrlActiveMode" : 2,
  "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr4CalendarView",
  "name" : "IBIZBOOKUsr4CalendarView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
  },
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup72"
  },
  "getPSControls" : [ {
    "calendarStyle" : "TIMELINE",
    "codeName" : "CustomCalendar",
    "controlType" : "CALENDAR",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSCALENDARS/CustomCalendar.json",
    "groupMode" : "NONE",
    "legendPos" : "NONE",
    "logicName" : "日历自定义插件",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/pssyscalendars/CustomCalendar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "calendar"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "CALENDAR"
    },
    "getPSSysCalendarItems" : [ {
      "getBeginTimePSAppDEField" : {
        "name" : "LENDOUTTIME",
        "codeName" : "Lendouttime"
      },
      "getContentPSAppDEField" : {
        "name" : "SUBTEXT",
        "codeName" : "Subtext"
      },
      "getEndTimePSAppDEField" : {
        "name" : "RETURNTIME",
        "codeName" : "Returntime"
      },
      "getIconPSAppDEField" : {
        "name" : "ICON",
        "codeName" : "Icon"
      },
      "getIdPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      },
      "itemStyle" : "DEFAULT",
      "itemType" : "item",
      "maxSize" : -1,
      "name" : "图书",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "getPSLayoutPanel" : {
        "getAllPSPanelFields" : [ {
          "id" : "author",
          "viewFieldName" : "author"
        }, {
          "id" : "press",
          "viewFieldName" : "press"
        }, {
          "id" : "bookname",
          "viewFieldName" : "IBIZBOOKNAME"
        } ],
        "codeName" : "TIMELINEITEMLAYOUTPANEL",
        "controlType" : "PANEL",
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSPANELS/TIMELINEITEMLAYOUTPANEL.json",
        "layoutMode" : "TABLE_24COL",
        "logicName" : "日历时间轴项布局面板",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/pssysviewpanels/TIMELINEITEMLAYOUTPANEL",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        },
        "getPSControlParam" : { },
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr4CalendarView/psappviewctrls/itemlayoutpanel",
        "getRootPSPanelItems" : [ {
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container1",
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSPanelItems" : [ {
            "caption" : "作者",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "author",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "author",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "viewFieldName" : "author",
            "hidden" : false,
            "showCaption" : false
          }, {
            "caption" : "出版社",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "press",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "press",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "viewFieldName" : "press",
            "hidden" : false,
            "showCaption" : false
          }, {
            "caption" : "图书名",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "bookname",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "bookname",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "viewFieldName" : "IBIZBOOKNAME",
            "hidden" : false,
            "showCaption" : false
          } ],
          "getPSSysPFPlugin" : {
            "pluginType" : "CUSTOM",
            "pluginCode" : "PFPlugin11"
          }
        } ],
        "name" : "itemlayoutpanel",
        "modelid" : "2f716a9c8d5e0c0f8327c657dd50c4f2",
        "modeltype" : "PSSYSVIEWPANEL"
      },
      "getTextPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      },
      "enableQuickCreate" : false,
      "id" : "item"
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr4CalendarView/psappviewctrls/calendar",
    "enableGroup" : false,
    "name" : "calendar",
    "modelid" : "4089e633ff00ccad13991f350910ba1a",
    "modeltype" : "PSSYSCALENDAR"
  } ],
  "getPSDEViewCodeName" : "Usr4CalendarView",
  "getPSDEViewId" : "8f18853a80101626624cdb98cbcbd12c",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDECALENDARVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/pssysviewlayoutpanels/Layoutpanel",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlParam" : { },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr4CalendarView/psappviewctrls/layoutpanel",
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr4CalendarView",
  "title" : "图书日历视图（自定义插件）",
  "getTitlePSLanguageRes" : {
    "defaultContent" : "图书日历视图（自定义插件）",
    "lanResTag" : "PAGE.TITLE.IBIZBOOK.USR4CALENDARVIEW",
    "lanResType" : "PAGE",
    "mOSFilePath" : "pslanguageres/Auto545",
    "name" : "界面文本（PAGE.*）[TITLE.IBIZBOOK.USR4CALENDARVIEW]",
    "rTMOSFilePath" : "pslanguageres/Auto545",
    "refFlag" : true
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DECALENDARVIEW",
  "xDataControlName" : "calendar",
  "enableDP" : true,
  "enableFilter" : false,
  "enableQuickSearch" : true,
  "showCaptionBar" : false,
  "modelid" : "45dde25611c271bbc1a9004f5512d2a3",
  "modeltype" : "PSAPPDEVIEW"
}